com.amazonaws.services.servermigration.model

## Class VmServer

- java.lang.Object
- - com.amazonaws.services.servermigration.model.VmServer

All Implemented Interfaces:
  Serializable, Cloneable

    public class VmServer
    extends Object
    implements Serializable, Cloneable

Object representing a VM server

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VmServer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`VmServer` `clone()`
`boolean` `equals(Object obj)`
`String` `getVmManagerName()`
`String` `getVmManagerType()`
`String` `getVmName()`
`String` `getVmPath()`
`VmServerAddress` `getVmServerAddress()`
`int` `hashCode()`
`void` `setVmManagerName(String vmManagerName)`
`void` `setVmManagerType(String vmManagerType)`
`void` `setVmManagerType(VmManagerType vmManagerType)`
`void` `setVmName(String vmName)`
`void` `setVmPath(String vmPath)`
`void` `setVmServerAddress(VmServerAddress vmServerAddress)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`VmServer` `withVmManagerName(String vmManagerName)`
`VmServer` `withVmManagerType(String vmManagerType)`
`VmServer` `withVmManagerType(VmManagerType vmManagerType)`
`VmServer` `withVmName(String vmName)`
`VmServer` `withVmPath(String vmPath)`
`VmServer` `withVmServerAddress(VmServerAddress vmServerAddress)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VmServer

    public VmServer()

### Method Detail

#### setVmServerAddress

    public void setVmServerAddress(VmServerAddress vmServerAddress)

Parameters:
  `vmServerAddress` -

#### getVmServerAddress

    public VmServerAddress getVmServerAddress()

Returns:

#### withVmServerAddress

    public VmServer withVmServerAddress(VmServerAddress vmServerAddress)

Parameters:
  `vmServerAddress` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVmName

    public void setVmName(String vmName)

Parameters:
  `vmName` -

#### getVmName

    public String getVmName()

Returns:

#### withVmName

    public VmServer withVmName(String vmName)

Parameters:
  `vmName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVmManagerName

    public void setVmManagerName(String vmManagerName)

Parameters:
  `vmManagerName` -

#### getVmManagerName

    public String getVmManagerName()

Returns:

#### withVmManagerName

    public VmServer withVmManagerName(String vmManagerName)

Parameters:
  `vmManagerName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVmManagerType

    public void setVmManagerType(String vmManagerType)

Parameters:
  `vmManagerType` -
See Also:
  `VmManagerType`

#### getVmManagerType

    public String getVmManagerType()

Returns:
See Also:
  `VmManagerType`

#### withVmManagerType

    public VmServer withVmManagerType(String vmManagerType)

Parameters:
  `vmManagerType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `VmManagerType`

#### setVmManagerType

    public void setVmManagerType(VmManagerType vmManagerType)

Parameters:
  `vmManagerType` -
See Also:
  `VmManagerType`

#### withVmManagerType

    public VmServer withVmManagerType(VmManagerType vmManagerType)

Parameters:
  `vmManagerType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `VmManagerType`

#### setVmPath

    public void setVmPath(String vmPath)

Parameters:
  `vmPath` -

#### getVmPath

    public String getVmPath()

Returns:

#### withVmPath

    public VmServer withVmPath(String vmPath)

Parameters:
  `vmPath` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public VmServer clone()

Overrides:
  `clone` in class `Object`